Page MenuHomePhabricator

efl_ui_text: migrate to efl_ui_clickable
ClosedPublic

Authored by bu5hm4n on May 5 2019, 3:01 AM.

Details

Summary

This now uses the efl_ui_clickable mixin. It is impossible right now to
test this in the test suite, as every single configuration of the
efl.ui.text object is ending up in an error. Which is not allowed in the
test suite. Additionally, simulating clicks on the objects gets it into
some sort of inifinite recursion when asking for cursor positions.

Depends on D8823

Diff Detail

Repository
rEFL core/efl
Branch
devs/bu5hm4n/work
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 11399
bu5hm4n created this revision.May 5 2019, 3:01 AM
bu5hm4n requested review of this revision.May 5 2019, 3:01 AM
bu5hm4n updated this revision to Diff 21959.May 6 2019, 7:41 AM
bu5hm4n edited the summary of this revision. (Show Details)

Rebase & update according to xavi review

bu5hm4n updated this revision to Diff 21992.May 7 2019, 2:54 AM

Add zoomable to tests, and publish the required rebase, sorry Xavi :|

bu5hm4n updated this revision to Diff 21998.May 7 2019, 2:55 AM

Add zoomable to tests, and publish the required rebase, sorry Xavi :|

bu5hm4n updated this revision to Diff 22106.May 12 2019, 2:17 AM

Rebase & update

zmike accepted this revision.May 13 2019, 11:38 AM
This revision is now accepted and ready to land.May 13 2019, 11:38 AM
bu5hm4n updated this revision to Diff 22152.May 14 2019, 1:54 AM

Make press,move-out-of-widget,unpress scenarios work

bu5hm4n updated this revision to Diff 22157.May 14 2019, 1:55 AM

Make press,move-out-of-widget,unpress scenarios work take 2

bu5hm4n updated this revision to Diff 22177.May 14 2019, 10:54 AM

update to new API names

bu5hm4n updated this revision to Diff 22188.May 14 2019, 11:21 AM

update to new API names, redo

Closed by commit rEFL59dab13bfaca: efl_ui_text: migrate to efl_ui_clickable (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain WhyMay 14 2019, 1:18 PM
This revision was automatically updated to reflect the committed changes.